# Account Invitations

Account Invitations represent invitations for non-users to join a Kantata OX account.

## Fetching a list of Account Invitations

 - [GET /account_invitations](https://developer.kantata.com/kantata/specification/account-invitations/get-account-invitations.md): This endpoint returns structured Account Invitation objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the account_invitations top-level JSON key.
Please see our Response Format section for more information.

## Creating a new Account Invitation

 - [POST /account_invitations](https://developer.kantata.com/kantata/specification/account-invitations/create-account-invitation.md): Adds a user to your account.

Any members added in excess of your contracted license count are billed at a prorated subscription fee for
the remainder of the billing term. To review your contracted license count,
in Kantata OX, hover over Settings in the left navigation and select Plan.

This endpoint has its own rate limit. See the Knowledge Base for more information.

Bulk Create

This endpoint supports bulk creating up to 50 objects. In the request body, set the top-level key to its plural
form and place the objects in an array. Example:


{
  "account_invitations": [
    {
      "email_address": "email@email.com",
      "full_name": "Full Name"
    },
    {
      "email_address": "email@email.com",
      "full_name": "Full Name"
    }
  ]
}



This endpoint returns structured Account Invitation objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the account_invitations top-level JSON key.
Please see our Response Format section for more information.

## Fetching a single Account Invitation

 - [GET /account_invitations/{id}](https://developer.kantata.com/kantata/specification/account-invitations/get-account-invitation.md): This endpoint returns structured Account Invitation objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the account_invitations top-level JSON key.
Please see our Response Format section for more information.

## Updating an existing Account Invitation

 - [PUT /account_invitations/{id}](https://developer.kantata.com/kantata/specification/account-invitations/update-account-invitation.md): This endpoint returns structured Account Invitation objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the account_invitations top-level JSON key.
Please see our Response Format section for more information.

## Deleting an existing Account Invitation

 - [DELETE /account_invitations/{id}](https://developer.kantata.com/kantata/specification/account-invitations/delete-account-invitation.md): The response will contain no content and an HTTP 204 status code if the request was
successful, or a standard Kantata OX error message explaining why the object could not be deleted.

## Resend an account invitation

 - [PUT /account_invitations/{id}/resend](https://developer.kantata.com/kantata/specification/account-invitations/resend-account-invitation.md): Resends an account invitation email to an invited user.

This endpoint has its own rate limit. See the Knowledge Base for more information.


This endpoint returns structured Account Invitation objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the account_invitations top-level JSON key.
Please see our Response Format section for more information.

